Skip to main content
GET
/
v1
/
ai
/
conversations
List conversations
curl --request GET \
  --url https://joyride.exchange/api/v1/ai/conversations \
  --header 'Authorization: Bearer <token>'
{
  "conversations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "message_count": 123
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT obtained from POST /v1/auth/verify after SIWS authentication. Include as: Authorization: Bearer <jwt>

Query Parameters

cursor
string

Base64-encoded compound cursor from the previous response

limit
integer
default:20

Maximum number of conversations to return

Required range: 1 <= x <= 100

Response

Paginated list of conversations

conversations
object[]
required
next_cursor
string | null
required

Base64-encoded cursor for the next page, if any